• imfool

    (@imfool)


    我是在本地安装xampp测试的,前几天用3.1.2貌似没这个问题,貌似是升级到3.1.3后出现的
    warning信息如下,每次点“媒体库”等界面就会出现如下一堆相同的warning:
    Warning: explode() expects parameter 2 to be string, array given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2390

    Warning: in_array() expects parameter 2 to be array, null given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2399

    Warning: in_array() expects parameter 2 to be array, null given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2399

    Warning: in_array() expects parameter 2 to be array, null given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2399

    Warning: in_array() expects parameter 2 to be array, null given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2399

    Warning: in_array() expects parameter 2 to be array, null given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2399

    Warning: in_array() expects parameter 2 to be array, null given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2399

    Warning: in_array() expects parameter 2 to be array, null given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2399

    Warning: in_array() expects parameter 2 to be array, null given in /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-includes/query.php on line 2399

查看 2 回复 - 1 至 2 (总计 2)
  • 版主 Jiehan Zheng

    (@jiehanzheng)

    可否停用所有插件后再试?个人猜测是因为有的插件破坏了已经注册的文章状态。若不行,请在控制板进行“自动重新安装”。若仍不行,请在这里回复 🙂

    chinawp.info

    (@chinawpinfo)

    imfool, 是不是有插件接管了query操作? 有些高级插件比如multi-db等会完全接管$wpdb类,停止所有的插件,还有就是试验一下用wp的缺省theme, 有些高级主题也很讨厌。 如果还有这样的情况, 手动更新一下你目录下的文件(不要碰wp-config.php), 可能你的core fiels没有成功完全更新? 覆盖的时候关闭杀毒的先

    Jiehan, 为什么你的名字上可以显示网站的链接,我怎么不可以?

查看 2 回复 - 1 至 2 (总计 2)
  • 话题 ‘后台管理界面出现很多warning’不再接受新回复。